cURL
curl --request GET \ --url https://api.example.com/v1/calls \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "callType": "CALL_SESSION", "status": "completed", "type": "outbound", "startedAt": "2024-03-20T09:00:00.000Z", "endedAt": "2024-03-20T09:15:00.000Z", "createdAt": "2024-03-20T08:55:00.000Z", "contact": { "id": "123e4567-e89b-12d3-a456-426614174000", "firstName": "John", "lastName": "Doe", "isUnknown": false }, "phoneNumber": { "value": "+33612345678" }, "caller": { "firstName": "Alice", "lastName": "Martin" }, "callerPhoneNumber": { "value": "+33612345678" }, "phoneNumberId": "123e4567-e89b-12d3-a456-426614174002", "userProviderSid": "CA123456789", "adminProviderSid": "CA987654321", "providerConferenceId": "CF123456789", "transferred": false, "updatedAt": "2024-03-20T09:16:00.000Z", "sequenceRunId": "123e4567-e89b-12d3-a456-426614174003", "sequenceId": "123e4567-e89b-12d3-a456-426614174010", "syncedWithCrmDate": "2024-03-20T09:15:00.000Z", "deletedAt": "2024-03-20T09:15:00.000Z", "organizationId": "123e4567-e89b-12d3-a456-426614174004", "organizationMembershipId": "123e4567-e89b-12d3-a456-426614174005", "managedPhoneNumberId": "123e4567-e89b-12d3-a456-426614174006", "notes": "Call notes here" } ], "total": 100, "page": 1, "limit": 10, "totalPages": 10 }
Returns a paginated list of calls for your organization
Enter your API Key (sk_live_xxx or sk_test_xxx)
Page number (starts at 1)
1
Number of items per page
10
Show child attributes
Filters as JSON string
Paginated list of calls
100